/* Style the page of header main */
.PageMainHeader {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;

    position: relative;

    width: 100%;

    margin-bottom: 177px;
}

@media screen and (max-width: 825px){
    .PageMainHeader {
        margin-bottom: 77px;
    }
}

    .PageMainHeader__ThemesBackgroundPartOne {
        display: flex;
        flex-direction: row;
        align-items: flex-start;
        justify-content: flex-start;

        position: absolute;
        top: 0px;
        left: 0px;
        z-index: 1;

        width: 100%;
        height: 100%;

        opacity: 0.4;
    }

    .PageMainHeader__ThemesBackgroundPartTwo {
        display: flex;
        flex-direction: row;
        align-items: flex-start;
        justify-content: flex-start;

        position: absolute;
        top: 0px;
        left: 0px;
        z-index: 2;

        width: 100%;
        height: 100%;
    }

    .PageMainHeader__Bar {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: center;

        background: rgb(60, 64, 68);

        width: 100%;

        z-index: 3;
    }

        .PageMainHeaderBar__Block {
            display: flex;
            flex-direction: row;
            align-items: center;
            justify-content: space-between;

            width: 100%;
            max-width: 1200px;

            padding-left: 17px;
            padding-right: 17px;
            padding-top: 7px;
            padding-bottom: 7px;
        }

            .PageMainHeaderBarBlock__Socials {
                display: flex;
                flex-direction: row;
                align-items: center;
                justify-content: flex-start;

                width: 100%;
            }

                .PageMainHeaderBarBlock__Socials > a {
                    margin-left: 7px;
                    transition: 0.4s;
                }

                    .PageMainHeaderBarBlock__Socials > a:hover {
                        transition: 0.2s;
                        opacity: 0.7;
                    }

                    .PageMainHeaderBarBlock__Socials > a:nth-of-type(1) {
                        margin-left: unset;
                    }

                .PageMainHeaderBarBlock__Socials > a > img {
                    width: 100%;
                    height: auto;
                    max-width: 26px;
                }

            .PageMainHeaderBarBlock__Contacts {
                display: flex;
                flex-direction: row;
                align-items: center;
                justify-content: flex-end;

                width: 100%;
            }

                .PageMainHeaderBarBlock__Contacts > a {
                    white-space: nowrap;
                    margin-left: 17px;
                }

                @media screen and (max-width: 450px){
                    .PageMainHeaderBarBlock__Contacts > a:nth-of-type(2) {
                        display: none;
                    }
                }

                    .PageMainHeaderBarBlock__Contacts > a:nth-of-type(1) {
                        margin-left: unset;
                    }

    .PageMainHeader__Navigation {
        display: flex;
        flex-direction: row;
        align-items: flex-start;
        justify-content: center;

        background: url( '/wp-content/themes/sizif-app-version/assets/images/system/themes/sizif-themes-background-navigation.svg' );
        background-size: cover;
        background-repeat: no-repeat;
        background-position: left bottom;

        width: 100%;

        z-index: 4;

        margin-bottom: 247px;
    }

    @media screen and (max-width: 825px){
        .PageMainHeader__Navigation {
            margin-bottom: 177px;
        }
    }

        @media screen and (max-width: 480px){
            .PageMainHeader__Navigation {
                margin-bottom: 37px;
            }
        }

        .PageMainHeaderNavigation__Block {
            display: flex;
            flex-direction: row;
            align-items: center;
            justify-content: space-between;

            width: 100%;
            max-width: 1200px;

            padding: 17px;
        }

            .PageMainHeaderNavigationBlock__Logo {
                display: flex;
                flex-direction: column;
                align-items: flex-start;
                justify-content: center;

                width: 100%;
            }

            @media screen and (max-width: 825px){
                .PageMainHeaderNavigationBlock__Logo {
                    width: unset;
                }
            }

                .PageMainHeaderNavigationBlock__Logo > a {
                    transition: 0.4s;
                    filter: drop-shadow(0px 0px 7px rgba(255, 237, 177, 0.0));
                }

                    .PageMainHeaderNavigationBlock__Logo > a:hover {
                        transition: 0.2s;
                        filter: drop-shadow(0px 0px 17px rgba(255, 237, 177, 0.3));
                    }

                    .PageMainHeaderNavigationBlock__Logo > a > img {
                        width: 100%;
                        height: auto;
                        min-width: 188px;
                        max-width: 256px;
                    }

            .PageMainHeaderNavigationBlock__Links {
                display: flex;
                flex-direction: row;
                align-items: center;
                justify-content: space-between;

                width: 100%;
            }

            @media screen and (max-width: 595px){
                .PageMainHeaderNavigationBlock__Links {
                    flex-direction: row-reverse;
                    justify-content: flex-start;
                }
            }

                .PageMainHeaderNavigationBlock__Links > a {
                    font-size: 16px;

                    white-space: nowrap;
                    text-transform: uppercase;

                    margin-left: 17px;
                }

                @media screen and (max-width: 825px){
                    .PageMainHeaderNavigationBlock__Links > a:nth-of-type(2) {
                        display: none;
                    }
                }

                    @media screen and (max-width: 725px){
                        .PageMainHeaderNavigationBlock__Links > a:nth-of-type(3) {
                            display: none;
                        }
                    }

                        @media screen and (max-width: 595px){
                            .PageMainHeaderNavigationBlock__Links > a {
                                margin-left: unset;
                                margin-right: 17px;
                            }
                            
                            .PageMainHeaderNavigationBlock__Links > a:nth-of-type(1) {
                                display: none;
                            }
                        }

                            @media screen and (max-width: 480px){
                                .PageMainHeaderNavigationBlock__Links > a:nth-of-type(4) {
                                    display: none;
                                }
                            }

    .PageMainHeader__Preview {
        display: flex;
        flex-direction: column;
        align-items: flex-end;
        justify-content: flex-start;

        width: 100%;
        max-width: 1200px;

        z-index: 3;

        padding: 17px;
        margin-bottom: 247px;
    }

    @media screen and (max-width: 825px){
        .PageMainHeader__Preview {
            align-items: center;
            justify-content: center;
            
            margin-bottom: 177px;
        }
    }

        @media screen and (max-width: 480px){
            .PageMainHeader__Preview {
                align-items: center;
                justify-content: center;
                
                margin-bottom: 37px;
            }
        }

        .PageMainHeaderPreview__Header {
            display: flex;
            flex-direction: column;
            align-items: flex-start;
            justify-content: flex-start;
        }

        @media screen and (max-width: 825px){
            .PageMainHeaderPreview__Header {
                align-items: center;
                justify-content: center;
            }
        }

            .PageMainHeaderPreviewHeader__Titul {
                display: flex;
                flex-direction: row;
                align-items: center;
                justify-content: flex-start;

                width: 100%;
            }

            @media screen and (max-width: 825px){
                .PageMainHeaderPreviewHeader__Titul {
                    justify-content: center;
                }
            }

                .PageMainHeaderPreviewHeader__Titul > h3 {
                    color: rgb(217, 221, 225);
                    font-size: 38px;
                    font-weight: 800;

                    text-align: left;
                }

                @media screen and (max-width: 825px){
                    .PageMainHeaderPreviewHeader__Titul > h3 {
                        font-size: 30px;
                        text-align: center;
                    }
                }

                    @media screen and (max-width: 480px){
                        .PageMainHeaderPreviewHeader__Titul > h3 {
                            font-size: 20px;
                        }
                    }

                    .PageMainHeaderPreviewHeader__Titul > h3 > span {
                        color: rgb(247, 197, 47);
                    }

            .PageMainHeaderPreviewHeader__Title {
                display: flex;
                flex-direction: row;
                align-items: center;
                justify-content: flex-start;

                width: 100%;

                margin-bottom: 27px;
            }

            @media screen and (max-width: 825px){
                .PageMainHeaderPreviewHeader__Title {
                    justify-content: center;
                }
            }

                .PageMainHeaderPreviewHeader__Title > h1 {
                    font-size: 48px;
                    font-weight: 800;
                    text-align: left;
                }

                @media screen and (max-width: 825px){
                    .PageMainHeaderPreviewHeader__Title > h1 {
                        font-size: 40px;
                        text-align: center;
                    }
                }

                    @media screen and (max-width: 480px){
                        .PageMainHeaderPreviewHeader__Title > h1 {
                            font-size: 30px;
                        }
                    }

            .PageMainHeaderPreviewHeader__Functions {
                display: flex;
                flex-direction: row;
                align-items: center;
                justify-content: flex-start;

                width: 100%;
            }

            @media screen and (max-width: 825px){
                .PageMainHeaderPreviewHeader__Functions {
                    justify-content: center;
                }
            }

                .PageMainHeaderPreviewHeader__Functions > button {
                    margin-left: 17px;
                }

                    .PageMainHeaderPreviewHeader__Functions > button:nth-of-type(1) {
                        margin-left: unset;
                    }

    /* THE VICTORY */
    .PageMainHeader__ThemesVictory {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: center;

        position: absolute;
        z-index: 2;
        bottom: -5vw;

        width: 100%;
        max-width: 1200px;
    }

    @media screen and (max-width: 480px){
        .PageMainHeader__ThemesVictory {
            bottom: -17vw;
        }
    }

        .PageMainHeader__ThemesVictory > img {
            width: 100%;
            height: auto;
        }